Ingest on-chain transfer evidence
curl --request POST \
--url https://api.reconlayer.com/v1/onchain-integrations/{onchainIntegrationId}/ingest \
--header 'Content-Type: application/json' \
--data '
{
"source": "poll",
"status": "confirmed",
"amount": {
"amount": "<string>",
"currency": "<string>"
},
"payload": {},
"paymentIntentId": "<string>",
"sourceRef": "<string>",
"externalReference": "<string>",
"txHash": "<string>",
"chainId": 123,
"fromAddress": "<string>",
"toAddress": "<string>",
"tokenAddress": "<string>",
"routeGroupId": "<string>",
"sequence": 123,
"occurredAt": "2023-11-07T05:31:56Z",
"references": [
{
"type": "<string>",
"value": "<string>"
}
],
"metadata": {}
}
'import requests
url = "https://api.reconlayer.com/v1/onchain-integrations/{onchainIntegrationId}/ingest"
payload = {
"source": "poll",
"status": "confirmed",
"amount": {
"amount": "<string>",
"currency": "<string>"
},
"payload": {},
"paymentIntentId": "<string>",
"sourceRef": "<string>",
"externalReference": "<string>",
"txHash": "<string>",
"chainId": 123,
"fromAddress": "<string>",
"toAddress": "<string>",
"tokenAddress": "<string>",
"routeGroupId": "<string>",
"sequence": 123,
"occurredAt": "2023-11-07T05:31:56Z",
"references": [
{
"type": "<string>",
"value": "<string>"
}
],
"metadata": {}
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
source: 'poll',
status: 'confirmed',
amount: {amount: '<string>', currency: '<string>'},
payload: {},
paymentIntentId: '<string>',
sourceRef: '<string>',
externalReference: '<string>',
txHash: '<string>',
chainId: 123,
fromAddress: '<string>',
toAddress: '<string>',
tokenAddress: '<string>',
routeGroupId: '<string>',
sequence: 123,
occurredAt: '2023-11-07T05:31:56Z',
references: [{type: '<string>', value: '<string>'}],
metadata: {}
})
};
fetch('https://api.reconlayer.com/v1/onchain-integrations/{onchainIntegrationId}/ingest', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"networkFamily": "<string>",
"networkId": "<string>",
"evidence": {
"accepted": true,
"duplicate": true,
"flowLegIds": [
"<string>"
],
"matchedCaseIds": [
"<string>"
],
"rawRecordId": "<string>",
"signatureValid": true,
"source": "<string>",
"sourceRef": "<string>"
}
}{
"error": "<string>",
"message": "<string>",
"issues": [
{}
],
"details": {},
"upstreamStatus": 123
}{
"error": "<string>",
"message": "<string>",
"issues": [
{}
],
"details": {},
"upstreamStatus": 123
}๐ Integrations & API Keys
Ingest on-chain transfer evidence
POST
/
v1
/
onchain-integrations
/
{onchainIntegrationId}
/
ingest
Ingest on-chain transfer evidence
Headers
Minimum string length:
1Minimum string length:
1Path Parameters
Minimum string length:
1Body
application/json
Available options:
poll, push Available options:
pending, confirmed, failed, reversed, missing Show child attributes
Show child attributes
Show child attributes
Show child attributes
Minimum string length:
1Minimum string length:
1Minimum string length:
1Minimum string length:
1Required range:
x <= 9007199254740991Minimum string length:
1Minimum string length:
1Minimum string length:
1Minimum string length:
1Available options:
required, optional, ignored Required range:
x <= 9007199254740991Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$Show child attributes
Show child attributes
Show child attributes
Show child attributes
โI
